using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace SolutionErp.Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class AddPeSuggestedAndApprovedPrice : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<decimal>(
                name: "ApprovedPriceAmount",
                table: "PurchaseEvaluations",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ApprovedPriceSource",
                table: "PurchaseEvaluations",
                type: "nvarchar(20)",
                maxLength: 20,
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "CcmSuggestedPrice",
                table: "PurchaseEvaluations",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "ProSuggestedMaxPrice",
                table: "PurchaseEvaluations",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "ProSuggestedMinPrice",
                table: "PurchaseEvaluations",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ApprovedPriceAmount",
                table: "PurchaseEvaluations");

            migrationBuilder.DropColumn(
                name: "ApprovedPriceSource",
                table: "PurchaseEvaluations");

            migrationBuilder.DropColumn(
                name: "CcmSuggestedPrice",
                table: "PurchaseEvaluations");

            migrationBuilder.DropColumn(
                name: "ProSuggestedMaxPrice",
                table: "PurchaseEvaluations");

            migrationBuilder.DropColumn(
                name: "ProSuggestedMinPrice",
                table: "PurchaseEvaluations");
        }
    }
}
